Langsung ke konten utama
GET
/
v3
/
stores
/
{store_id}
/
sales-people
List sales people for a business store
curl --request GET \
  --url https://api.scalev.com/v3/stores/{store_id}/sales-people \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "percentage": 123,
      "business_user": {
        "id": 123,
        "user": {
          "id": 123,
          "fullname": "<string>",
          "email": "jsmith@example.com",
          "phone": "<string>",
          "avatar": "<string>"
        },
        "role": {
          "id": 123,
          "name": "<string>"
        },
        "business_phone": "<string>"
      },
      "weekly_schedule": {}
    }
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

store_id
integer
wajib

Numeric Scalev store database ID for authenticated business routes.

Contoh:

3288

Parameter Query

page_size
integer

Number of items per page.

next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

Respons

Paginated sales people attached to the store

data
object[]
wajib
is_paginated
enum<boolean>
wajib
Opsi yang tersedia:
true
has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer